Package: grails.rest.render

## [Groovy] Interface ContainerRenderer<C, T>

- Renderer

- All Superinterfaces:
    Renderer<C>

      interface ContainerRenderer<C, T>
      extends Renderer<C>

  A container a renderer is a render that renders a container of objects (Example: List of Book instances)

  Authors:
    Graeme Rocher
  Since:
    2.3

- - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `abstract java.lang.Class<T>` | `getComponentType()` Returns: The underlying type wrapped by the container.

- - ### Method Detail

    - #### abstract java.lang.Class<T> getComponentType()

      Returns:
        The underlying type wrapped by the container. For example with List, this method would return Book